% ****** nearest.m ******
% 
% returns the position of the nearest value in a vector to a seed value
% 
% Joe MacGregor
% last updated: 07/23/09

function nearest_pos    = nearest(vector, seed)

nearest_pos = zeros(1, length(seed));
for ii = 1:length(seed);
    nearest_pos(ii)     = find((min(abs(seed(ii) - vector)) == abs(seed(ii) - vector)), 1);
end;


% *** END OF FILE ***